> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Register For IOS Push Notification

> Registers the iOS device to receive push notifications

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| NoPushNotificationARNForTitle | 1083 |
| PushServiceError | 1095 |




## OpenAPI

````yaml /services/playfab/api-references/rest/client/client.openapi.json post /Client/RegisterForIOSPushNotification
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Client API
  description: >-
    APIs which provide the full range of PlayFab features available to the
    client - authentication, account and data management, inventory, friends,
    matchmaking, reporting, and platform-specific functionality
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Advertising
    description: Advertising APIs
  - name: Analytics
    description: Analytics APIs
  - name: Authentication
    description: Authentication APIs
  - name: Character Data
    description: Character Data APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Friend List Management
    description: Friend List Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Platform Specific Methods
    description: Platform Specific Methods APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
  - name: Trading
    description: Trading Management APIs
paths:
  /Client/RegisterForIOSPushNotification:
    post:
      tags:
        - Platform Specific Methods
      summary: Register For IOS Push Notification
      description: |
        Registers the iOS device to receive push notifications

        ## Error codes

        This operation may return the following PlayFab errors:

        | Error | Code |
        | --- | --- |
        | NoPushNotificationARNForTitle | 1083 |
        | PushServiceError | 1095 |
      operationId: RegisterForIOSPushNotification
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RegisterForIOSPushNotificationRequest'
        description: >-
          The steps to configure and send Push Notifications is described in the
          PlayFab tutorials, here:
          https://learn.microsoft.com/gaming/playfab/features/engagement/push-notifications/quickstart
      responses:
        '200':
          $ref: '#/components/responses/RegisterForIOSPushNotificationResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SessionTicket: []
components:
  schemas:
    RegisterForIOSPushNotificationRequest:
      description: >-
        The steps to configure and send Push Notifications is described in the
        PlayFab tutorials, here:
        https://learn.microsoft.com/gaming/playfab/features/engagement/push-notifications/quickstart
      type: object
      properties:
        ConfirmationMessage:
          description: Message to display when confirming push notification.
          type: string
        DeviceToken:
          description: >-
            Unique token generated by the Apple Push Notification service when
            the title registered to receive push notifications.
          type: string
        SendPushNotificationConfirmation:
          description: >-
            If true, send a test push message immediately after sucessful
            registration. Defaults to false.
          type: boolean
      required:
        - DeviceToken
      example:
        DeviceToken: 39872f98eb882brn8hg3889
        SendPushNotificationConfirmation: true
        ConfirmationMessage: Welcome to PlayFab
    RegisterForIOSPushNotificationResult:
      type: object
      properties: {}
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    RegisterForIOSPushNotificationResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/RegisterForIOSPushNotificationResult'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SessionTicket:
      type: apiKey
      in: header
      name: X-Authorization
      description: >-
        This API requires a client session ticket, available from any Client
        Login function.

````

## Related topics

- [Register For IOS Push Notification](/services/playfab/api-references/rest/client/platform-specific-methods/register-for-ios-push-notification.md)
- [Push Notification for iOS](/services/playfab/live-service-management/game-configuration/title-communications/push-notifications/push-notifications-for-ios.md)
- [PFPlatformSpecificClientRegisterForIOSPushNotificationAsync](/services/playfab/api-references/c/pfplatformspecific/functions/pfplatformspecificclientregisterforiospushnotificationasync.md)
- [PFPlatformSpecificRegisterForIOSPushNotificationRequest](/services/playfab/api-references/c/pfplatformspecifictypes/structs/pfplatformspecificregisterforiospushnotificationrequest.md)
- [Push Notifications](/services/playfab/live-service-management/game-configuration/title-communications/push-notifications/index.md)
